Package ru.bgcrm.plugin.bgbilling.proto.model.inet

# Class InetSession

java.lang.Object
ru.bgcrm.plugin.bgbilling.proto.model.inet.InetSession

Direct Known Subclasses:
  `InetSessionLog`

public class InetSession extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected long`
  `connectionId`
  `protected BigDecimal`
  `cost`
  `protected short`
  `deviceState`
  `protected long`
  `id`
  `protected Date`
  `last`
  `protected Date`
  `start`
  `protected int`
  `status`
  `protected Date`
  `stop`
  `protected long`
  `time`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InetSession()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `long`
  `getConId()`
  `BigDecimal`
  `getCost()`
  `short`
  `getDevState()`
  `String`
  `getDevStateTitle()`
  `long`
  `getId()`
  `Date`
  `getLast()`
  `Date`
  `getStart()`
  `int`
  `getStatus()`
  `Date`
  `getStop()`
  `long`
  `getTime()`
  `void`
  `setConId(long connectionId)`
  `void`
  `setCost(BigDecimal sessionCost)`
  `void`
  `setDevState(short type)`
  `void`
  `setId(long id)`
  `void`
  `setLast(Date lastActive)`
  `void`
  `setStart(Date start)`
  `void`
  `setStatus(int status)`
  `void`
  `setStop(Date sessionStop)`
  `void`
  `setTime(long sessionTime)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    protected long id

  - ### connectionId

    protected long connectionId

  - ### start

    protected Date start

  - ### stop

    protected Date stop

  - ### last

    protected Date last

  - ### deviceState

    protected short deviceState

  - ### time

    protected long time

  - ### cost

    protected BigDecimal cost

  - ### status

    protected int status

- ## Constructor Details

  - ### InetSession

    public InetSession()

- ## Method Details

  - ### getId

    public long getId()

  - ### setId

    public void setId(long id)

  - ### getConId

    public long getConId()

  - ### setConId

    public void setConId(long connectionId)

  - ### getDevState

    public short getDevState()

  - ### getDevStateTitle

    public String getDevStateTitle()

  - ### setDevState

    public void setDevState(short type)

  - ### getStart

    public Date getStart()

  - ### setStart

    public void setStart(Date start)

  - ### getStop

    public Date getStop()

  - ### setStop

    public void setStop(Date sessionStop)

  - ### getLast

    public Date getLast()

  - ### setLast

    public void setLast(Date lastActive)

  - ### getTime

    public long getTime()

  - ### setTime

    public void setTime(long sessionTime)

  - ### getCost

    public BigDecimal getCost()

  - ### setCost

    public void setCost(BigDecimal sessionCost)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)